package com.dayou.service;
import com.dayou.entity.FinanceInvoice;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 财务开票 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
public interface IFinanceInvoiceService extends IService<FinanceInvoice> {

        Page<FinanceInvoice> selectPage(Page page,FinanceInvoice financeInvoice,String keyword);

        FinanceInvoice detail(Long id);

        Boolean add(FinanceInvoice financeInvoice);

        Boolean update(FinanceInvoice financeInvoice);

        Boolean delete(Long id);

    List<FinanceInvoice> getList(Long id);

        Boolean cancellation(Long id);
}
